org.apache.storm.kafka.spout.internal

## Class CommonKafkaSpoutConfig<K,V>

- java.lang.Object
- - org.apache.storm.kafka.spout.internal.CommonKafkaSpoutConfig<K,V>

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    KafkaSpoutConfig, KafkaTridentSpoutConfig

      public abstract class CommonKafkaSpoutConfig<K,V>
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CommonKafkaSpoutConfig.Builder<K,V,T extends CommonKafkaSpoutConfig.Builder<K,V,T>>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FirstPollOffsetStrategy` | `DEFAULT_FIRST_POLL_OFFSET_STRATEGY`
    `static long` | `DEFAULT_PARTITION_REFRESH_PERIOD_MS`
    `static long` | `DEFAULT_POLL_TIMEOUT_MS`
    `static long` | `DEFAULT_START_TS`
    `static org.slf4j.Logger` | `LOG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonKafkaSpoutConfig(CommonKafkaSpoutConfig.Builder<K,V,?> builder)` Creates a new CommonKafkaSpoutConfig using a Builder.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FirstPollOffsetStrategy` | `getFirstPollOffsetStrategy()`
    `Map<String,Object>` | `getKafkaProps()` Gets the properties that will be passed to the KafkaConsumer.
    `long` | `getPartitionRefreshPeriodMs()`
    `long` | `getPollTimeoutMs()`
    `long` | `getStartTimeStamp()`
    `TopicFilter` | `getTopicFilter()`
    `ManualPartitioner` | `getTopicPartitioner()`
    `RecordTranslator<K,V>` | `getTranslator()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_POLL_TIMEOUT_MS

          public static final long DEFAULT_POLL_TIMEOUT_MS

      See Also:
        Constant Field Values

    - #### DEFAULT_PARTITION_REFRESH_PERIOD_MS

          public static final long DEFAULT_PARTITION_REFRESH_PERIOD_MS

      See Also:
        Constant Field Values

    - #### DEFAULT_START_TS

          public static final long DEFAULT_START_TS

      See Also:
        Constant Field Values

    - #### DEFAULT_FIRST_POLL_OFFSET_STRATEGY

          public static final FirstPollOffsetStrategy DEFAULT_FIRST_POLL_OFFSET_STRATEGY

    - #### LOG

          public static final org.slf4j.Logger LOG

  - ### Constructor Detail

    - #### CommonKafkaSpoutConfig

          public CommonKafkaSpoutConfig(CommonKafkaSpoutConfig.Builder<K,V,?> builder)

      Creates a new CommonKafkaSpoutConfig using a Builder.

      Parameters:
        `builder` - The Builder to construct the CommonKafkaSpoutConfig from

  - ### Method Detail

    - #### getKafkaProps

          public Map<String,Object> getKafkaProps()

      Gets the properties that will be passed to the KafkaConsumer.

      Returns:
        The Kafka properties map

    - #### getTopicFilter

          public TopicFilter getTopicFilter()

    - #### getTopicPartitioner

          public ManualPartitioner getTopicPartitioner()

    - #### getTranslator

          public RecordTranslator<K,V> getTranslator()

    - #### getFirstPollOffsetStrategy

          public FirstPollOffsetStrategy getFirstPollOffsetStrategy()

    - #### getPollTimeoutMs

          public long getPollTimeoutMs()

    - #### getPartitionRefreshPeriodMs

          public long getPartitionRefreshPeriodMs()

    - #### getStartTimeStamp

          public long getStartTimeStamp()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 The Apache Software Foundation. All rights reserved.